Bug 1275810 - VM can be started with incompatible CPU and guest OS
VM can be started with incompatible CPU and guest OS
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: jniederm
Ilanit Stein
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 15:43 EDT by jniederm
Modified: 2016-02-10 14:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 08:29:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
mgoldboi: planning_ack+
michal.skrivanek: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47796 master MERGED core: Windows 10 requires special CPU Never
oVirt gerrit 47797 ovirt-engine-3.6 MERGED core: Windows 10 requires special CPU Never

  None (edit)
Description jniederm 2015-10-27 15:43:23 EDT
Description of problem:
VM can be started even if the current cluster cpu is compatible with selected guest OS (as defined in osinfo-defaults.properties).

Version-Release number of selected component (if applicable):
3.6, commit bd5ce0c

How reproducible:
100%

Steps to Reproduce:
1. Make sure, cluster CPU is newer than Conroe
2. Create VM with Windows 10 guest OS
3. Change Cluster CPU to Conroe
4. Start the VM

Actual results:
The VM starts.

Expected results:
Error message regarding incompatible CPU and guest OS should be shown.

Additional info:
This relates to https://bugzilla.redhat.com/show_bug.cgi?id=1269828
Comment 1 Ilanit Stein 2015-12-20 08:21:43 EST
Verified on rhevm 3.6.1.3-0.1.el6

When trying to run win 10 VM on Intel host, that it's cluster changed from sunday bridge to conroe, the VM failed to start:

Operation failed window opened, with this message:
 
"Error while executing action: 

win10_new:
The guest OS doesn't support the following CPUs: opteron_g1, conroe, nehalem, penryn. Its possible to change the cluster cpu or set a different one per VM"

Changing cluster to westmere -> vm started OK.

I'd recommend, to add this message the supported cpu is westmare+, so it would be more clear what cpus are supported.
Comment 2 Sandro Bonazzola 2015-12-22 08:29:13 EST
oVirt 3.6.1 has been released and bz verified, moving to closed current release

Note You need to log in before you can comment on or make changes to this bug.